\documentclass{article}

% Language setting
% Replace `english' with e.g. `spanish' to change the document language
\usepackage[english]{babel}

% Set page size and margins
% Replace `letterpaper' with `a4paper' for UK/EU standard size
\usepackage[letterpaper,top=2cm,bottom=2cm,left=3cm,right=3cm,marginparwidth=1.75cm]{geometry}

% Useful packages
\usepackage{amsmath}
\usepackage{graphicx}
\usepackage[colorlinks=true, allcolors=blue]{hyperref}

\title{Smartgrid equations}
\author{PAN}

\begin{document}
\maketitle

\section{Smartgrid}

Here are the equations that will be used in our smartgrid model for simulation.

\section{Building}
\subsection{Temperature}

We want to compute $T_{building}$ at the next timestep taking into account the action of all the energy components of the building. This is a thermodynamic problem.

Let's use the first law of thermodynamic which gives
$$\Delta U = W + Q_{total}=Q_{heating,hp}-Q_{cooling,hp}+Q_{eh}+Q_{iso}$$
where $Q_{iso}$ is the thermal energy that was lost by the building (or won if the outside is hotter than the inside)

and we know that $$\Delta U = C \Delta T = C (T^{t+1}_{inside} - T^{t}_{inside}) = c_{air}V(T^{t+1}_{inside} - T^{t}_{inside})$$

We need to find a way to get $Q_{iso}$ so let's introduce the thermal resistance of the building $R_{th}$. We have by definition $R_{th}=\frac{T^{t}_{outside}-T^{t}_{inside}}{\Phi}$ where $\Phi=\frac{Q_iso}{\Delta t}$. In the end $$Q_iso=\Delta t \frac{T^{t}_{outside}-T^{t}_{inside}}{R_{th}}$$

The last step is to compute $R_{th}$ knowing that $\frac{1}{R_{th}}=\sum_{wall} \frac{1}{R_{th,wall}}$ where $$R_{th,paroi} = \frac{e}{\lambda A}$$ where \begin{itemize}
    \item e is the thickness of the wall (in m)
    \item $\lambda$ is the thermal resistancy coefficient
    \item A is the surface of the wall (in $m^2$)
\end{itemize}
($R_{th}$ can be precomputed for each building)

The final formula for T is $$T^{t+1}_{inside}=T^{t}_{inside}+\frac{Q_{heating,hp}-Q_{cooling,hp}+Q_{eh}+Q_{iso}}{c_airV}$$
\subsection{Electricity}

We want to compute $E_{consumed}^{elec}$ for the building. We have $$E_{consumed}^{elec}=E^{cons}_{battery}+E^{cons}_{hp,heating}+E^{cons}_{hp,cooling}+E^{cons}_{eh}+E^{cons}_{appliances}-E^{prod}_{sol}$$
\section{Energy production}

\subsection{PV}

The parameters are
\begin{enumerate}
    \item $\eta_{PV}$: solar cell efficiency (as a percentage)
    \item A: area of the solar cell (in $m^2$)
\end{enumerate}

The variable are
\begin{enumerate}
    \item $E_{inc}$: incident radiation flux (in $W/m^2$) at time t for the building
\end{enumerate}

The energy produced by the solar panel is
$$E^{prod}_{sol}=\eta_{PV}*E_{inc}*A$$
\section{Energy storage}

\subsection{Domestic battery}
Our parameters are
\begin{enumerate}
    \item $C_{initial}$ the initial capacity of the battery (in kWh)
    \item $c_{loss}$ the capacity that is lost at every cycle (charge + discharge)
    \item $v_{charge}$ the charging/discharging speed of the battery (in kWh/h) : we take it as a constant ? is is true ?
\end{enumerate}

The variables are
\begin{enumerate}
    \item $SoC_t$ the state of charge at time t
    \item $E_{tot,in&out}$ the total energy that have been used by the battery
    \item $a_t$ the action on the battery (1 for charging, 0 for nothing and -1 for discharge)
\end{enumerate}

We can then compute $$SoC_{t+1}=SoC_{t}+a_t*v_{charge}$$ and $$E^{cons}_{battery}=a_t*v_{charge}$$

with the condition $$0 \leq SoC_{t+1} \leq C_{initial} - c_{loss} \frac{E_{tot,in&out}}{2C_{initial}}$$

\subsection{EV}
Basically, an EV is a domestic battery with charging constraints: it must be charged at more than a threshold in the morning

\section{Energy consumption}

\subsection{Heat pump}

The heat pump as two configurations: the cooling mode and the heating mode. The parameters of the heat pump are
\begin{itemize}
    \item $\eta_{hp}$ is the efficiency of the heat pump
    \item $T^{target}_{hot}$ is the hot target temperature (usually around 50°C) it should be in Kelvin !
    \item $T^{target}_{cold}$ is the cold target temperature  (usually between 7°C and 10°C) it should be in Kelvin !
\end{itemize}

The variables are
\begin{itemize}
    \item $T_{outside}$
    \item $T_{inside}$
\end{itemize}
We can then compute the coefficient of performance which is
$COP_{heating} = \eta_{hp} \frac{T^{target}_{hot}}{T^{target}_{hot} - T^{outside}}$ et $COP_{cooling} = \eta_{hp} \frac{T^{target}_{cold}}{T^{exterieur} - T^{target}_{cold}}$

And to finish $Q_{heating,hp}= COP_{heating} E^{cons}_{hp,heating}$ and $Q_{cooling,hp}= COP_{cooling} E^{cons}_{hp,cooling}$

The formula was acquired thanks to this article \url{https://en.wikipedia.org/wiki/Coefficient_of_performance}

\subsection{Electric heater}
Our parameters are
\begin{enumerate}
    \item $\eta_{eh}$ the efficiency of the electric heater (generally around 0.9)
\end{enumerate}

The variables are
\begin{enumerate}
    \item $E^{cons}_{eh}$ the energy used by the electric heater
\end{enumerate}
The electric heater consumes $E^{cons}_{eh}$ and generates $Q_{eh}=\eta_{eh}E^{cons}_{eh}$ thermal energy

\subsection{Electric appliances}
The variable $E^{cons}_{appliances}$ needs to be pre-computed and depend of the hour of the day


\end{document}
